org.apache.ode.bpel.pmapi

## Interface ProcessInfoListDocument

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    ProcessInfoListDocumentImpl

      public interface ProcessInfoListDocument
      extends org.apache.xmlbeans.XmlObject

  A document containing one process-info-list(@http://www.apache.org/ode/pmapi/types/2006/08/02/) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ProcessInfoListDocument.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProcessInfoList` | `addNewProcessInfoList()` Appends and returns a new empty "process-info-list" element
    `TProcessInfoList` | `getProcessInfoList()` Gets the "process-info-list" element
    `void` | `setProcessInfoList(TProcessInfoList processInfoList)` Sets the "process-info-list" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getProcessInfoList

          TProcessInfoList getProcessInfoList()

      Gets the "process-info-list" element

    - #### setProcessInfoList

          void setProcessInfoList(TProcessInfoList processInfoList)

      Sets the "process-info-list" element

    - #### addNewProcessInfoList

          TProcessInfoList addNewProcessInfoList()

      Appends and returns a new empty "process-info-list" element